//---------------------------------------------------------------------------
#ifndef mainprntH
#define mainprntH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\QuickRep.hpp>
//---------------------------------------------------------------------------
class TMainPrintForm : public TForm
{
__published:	// IDE-managed Components
	TRadioGroup *ReportCombo;
	TRadioGroup *OrientationCombo;
	TRadioGroup *PreviewCombo;
	TCheckBox *PrintDialogChk;
	TPanel *Panel1;
	TButton *PrintBtn;
	TButton *PreviewBtn;
	TButton *CancelBtn;
	TPanel *TopPanel;
	TImage *Image1;
	TBevel *Bevel1;
	TBevel *Bevel2;
        TLabel *Label1;
        TLabel *Label2;
        void __fastcall PrintBtnClick(TObject *Sender);
        void __fastcall PreviewBtnClick(TObject *Sender);
        void __fastcall PreviewComboClick(TObject *Sender);
        void __fastcall ShowPreview();
        void __fastcall CancelBtnClick(TObject *Sender);
        
private:	// User declarations
        TQuickReport * aReport;
        bool PickReport();
public:		// User declarations
	virtual __fastcall TMainPrintForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TMainPrintForm *MainPrintForm;
//---------------------------------------------------------------------------
#endif
